Package com.independentsoft.office.word.math

# Class UpperLimit

java.lang.Object
com.independentsoft.office.word.math.UpperLimit

All Implemented Interfaces:
  `IContentElement`, `IRunTrackChangeContent`, `IMathElement`, `IMathMathElement`

public class UpperLimit extends Object implements IMathMathElement
The Class UpperLimit.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpperLimit()`
  Instantiates a new upper limit.
  `UpperLimit​(InternalXMLStreamReader reader)`
  Instantiates a new upper limit.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UpperLimit`
  `clone()`
  `Base`
  `getBase()`
  Gets the base.
  `List<IContentElement>`
  `getContentElements()`
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `Limit`
  `getLimit()`
  Gets the limit.
  `void`
  `setBase​(Base baseArgument)`
  Sets the base.
  `void`
  `setLimit​(Limit limit)`
  Sets the limit.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UpperLimit

    public UpperLimit()
    Instantiates a new upper limit.

  - ### UpperLimit

    public UpperLimit​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new upper limit.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public UpperLimit clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IMathMathElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBase

    public Base getBase()
    Gets the base.
    Returns:
      the base

  - ### setBase

    public void setBase​(Base baseArgument)
    Sets the base.
    Parameters:
      `baseArgument` - the new base

  - ### getLimit

    public Limit getLimit()
    Gets the limit.
    Returns:
      the limit

  - ### setLimit

    public void setLimit​(Limit limit)
    Sets the limit.
    Parameters:
      `limit` - the new limit

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties